diff --git a/src/responder/nss/nsssrv_cmd.c b/src/responder/nss/nsssrv_cmd.c
index 7220e3a..16557e1 100644
--- a/src/responder/nss/nsssrv_cmd.c
+++ b/src/responder/nss/nsssrv_cmd.c
@@ -2064,7 +2064,7 @@ static int nss_cmd_endpwent(struct cli_ctx *cctx)
     struct nss_ctx *nctx;
     int ret;
 
-    DEBUG(4, ("Terminating request info for all accounts\n"));
+    DEBUG(4, "Terminating request info for all accounts\n");
 
     nctx = talloc_get_type(cctx->rctx->pvt_ctx, struct nss_ctx);
 
@@ -2108,7 +2108,7 @@ void nss_update_gr_memcache(struct nss_ctx *nctx)
         ret = sysdb_enumgrent(nctx, dom->sysdb, dom, &res);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to enumerate users for domain [%s]\n", dom->name));
+                  "Failed to enumerate users for domain [%s]\n", dom->name);
             continue;
         }
 
@@ -2125,8 +2125,8 @@ void nss_update_gr_memcache(struct nss_ctx *nctx)
             id = ldb_msg_find_attr_as_string(res->msgs[i], SYSDB_GIDNUM, NULL);
             if (!id) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to find gidNumber in %s.\n",
-                       ldb_dn_get_linearized(res->msgs[i]->dn)));
+                      "Failed to find gidNumber in %s.\n",
+                       ldb_dn_get_linearized(res->msgs[i]->dn));
                 continue;
             }
             to_sized_string(&key, id);
@@ -2134,8 +2134,8 @@ void nss_update_gr_memcache(struct nss_ctx *nctx)
             ret = sss_mmap_cache_gr_invalidate(nctx->grp_mc_ctx, &key);
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Internal failure in memory cache code: %d [%s]\n",
-                       ret, strerror(ret)));
+                      "Internal failure in memory cache code: %d [%s]\n",
+                       ret, strerror(ret));
             }
         }
         talloc_zfree(res);
@@ -2187,7 +2187,7 @@ static int fill_members(struct sss_packet *packet,
                                     dom->case_sensitive);
         if (tmpstr == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("sss_get_cased_name failed, skipping\n"));
+                  "sss_get_cased_name failed, skipping\n");
             continue;
         }
 
@@ -2197,9 +2197,9 @@ static int fill_members(struct sss_packet *packet,
                                         dom, tmpstr);
             if (ret == EEXIST) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Group [%s] member [%s@%s] filtered out!"
+                      "Group [%s] member [%s@%s] filtered out!"
                        " (negative cache)\n",
-                       (char *)&body[rzero+STRS_ROFFSET], tmpstr, domain));
+                       (char *)&body[rzero+STRS_ROFFSET], tmpstr, domain);
                 continue;
             }
         }
@@ -2234,10 +2234,10 @@ static int fill_members(struct sss_packet *packet,
             }
 
             if (ret != name.len + delim + dom_len - 1) {
-                DEBUG(SSSDBG_OP_FAILURE, ("Failed to generate a fully qualified name"
+                DEBUG(SSSDBG_OP_FAILURE, "Failed to generate a fully qualified name"
                                           " for member [%s@%s] of group [%s]!"
                                           " Skipping\n", name.str, domain,
-                                          (char *)&body[rzero+STRS_ROFFSET]));
+                                          (char *)&body[rzero+STRS_ROFFSET]);
                 /* reclaim space */
                 ret = sss_packet_shrink(packet, name.len + delim + dom_len);
                 if (ret != EOK) {
@@ -2316,8 +2316,8 @@ static int fill_grent(struct sss_packet *packet,
         /* new group */
         if (!ldb_msg_check_string_attribute(msg, "objectClass",
                                             SYSDB_GROUP_CLASS)) {
-            DEBUG(1, ("Wrong object (%s) found on stack!\n",
-                      ldb_dn_get_linearized(msg->dn)));
+            DEBUG(1, "Wrong object (%s) found on stack!\n",
+                      ldb_dn_get_linearized(msg->dn));
             continue;
         }
 
@@ -2329,8 +2329,8 @@ static int fill_grent(struct sss_packet *packet,
         orig_name = ldb_msg_find_attr_as_string(msg, SYSDB_NAME, NULL);
         gid = ldb_msg_find_attr_as_uint64(msg, SYSDB_GIDNUM, 0);
         if (!orig_name || !gid) {
-            DEBUG(2, ("Incomplete group object for %s[%llu]! Skipping\n",
-                      orig_name?orig_name:"<NULL>", (unsigned long long int)gid));
+            DEBUG(2, "Incomplete group object for %s[%llu]! Skipping\n",
+                      orig_name?orig_name:"<NULL>", (unsigned long long int)gid);
             continue;
         }
 
@@ -2339,8 +2339,8 @@ static int fill_grent(struct sss_packet *packet,
                                          nctx->neg_timeout, dom, orig_name);
             if (ret == EEXIST) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Group [%s@%s] filtered out! (negative cache)\n",
-                       orig_name, domain));
+                      "Group [%s@%s] filtered out! (negative cache)\n",
+                       orig_name, domain);
                 continue;
             }
         }
@@ -2348,7 +2348,7 @@ static int fill_grent(struct sss_packet *packet,
         tmpstr = sss_get_cased_name(tmp_ctx, orig_name, dom->case_sensitive);
         if (tmpstr == NULL) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("sss_get_cased_name failed, skipping\n"));
+                  "sss_get_cased_name failed, skipping\n");
             continue;
         }
         to_sized_string(&name, tmpstr);
@@ -2394,8 +2394,8 @@ static int fill_grent(struct sss_packet *packet,
             }
 
             if (ret != name.len + delim + dom_len - 1) {
-                DEBUG(1, ("Failed to generate a fully qualified name for"
-                          " group [%s] in [%s]! Skipping\n", name.str, domain));
+                DEBUG(1, "Failed to generate a fully qualified name for"
+                          " group [%s] in [%s]! Skipping\n", name.str, domain);
                 /* reclaim space */
                 ret = sss_packet_shrink(packet, rsize);
                 if (ret != EOK) {
@@ -2456,8 +2456,8 @@ static int fill_grent(struct sss_packet *packet,
                                             fullname.len - pwfield.len);
             if (ret != EOK && ret != ENOMEM) {
                 DEBUG(SSSDBG_OP_FAILURE,
-                      ("Failed to store group %s(%s) in mmap cache!",
-                       name.str, domain));
+                      "Failed to store group %s(%s) in mmap cache!",
+                       name.str, domain);
             }
         }
 
@@ -2561,8 +2561,8 @@ static int nss_cmd_getgrnam_search(struct nss_dom_ctx *dctx)
         /* if neg cached, return we didn't find it */
         if (ret == EEXIST) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Group [%s] does not exist in [%s]! (negative cache)\n",
-                   name, dom->name));
+                  "Group [%s] does not exist in [%s]! (negative cache)\n",
+                   name, dom->name);
             /* if a multidomain search, try with next */
             if (cmdctx->check_next) {
                 dom = get_next_domain(dom, false);
@@ -2574,22 +2574,22 @@ static int nss_cmd_getgrnam_search(struct nss_dom_ctx *dctx)
             return ENOENT;
         }
 
-        DEBUG(4, ("Requesting info for [%s@%s]\n", name, dom->name));
+        DEBUG(4, "Requesting info for [%s@%s]\n", name, dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             return EIO;
         }
 
         ret = sysdb_getgrnam(cmdctx, sysdb, dom, name, &dctx->res);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to make request to our cache!\n"));
+            DEBUG(1, "Failed to make request to our cache!\n");
             return EIO;
         }
 
         if (dctx->res->count > 1) {
-            DEBUG(0, ("getgrnam call returned more than one result !?!\n"));
+            DEBUG(0, "getgrnam call returned more than one result !?!\n");
             return ENOENT;
         }
 
@@ -2597,8 +2597,8 @@ static int nss_cmd_getgrnam_search(struct nss_dom_ctx *dctx)
             /* set negative cache only if not result of cache check */
             ret = sss_ncache_set_group(nctx->ncache, false, dom, name);
             if (ret != EOK) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Cannot set negcache for %s@%s\n",
-                      name, dom->name));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Cannot set negcache for %s@%s\n",
+                      name, dom->name);
             }
 
             /* if a multidomain search, try with next */
@@ -2607,14 +2607,14 @@ static int nss_cmd_getgrnam_search(struct nss_dom_ctx *dctx)
                 if (dom) continue;
             }
 
-            DEBUG(2, ("No results for getgrnam call\n"));
+            DEBUG(2, "No results for getgrnam call\n");
 
             /* Group not found in ldb -> delete group from memory cache. */
             ret = delete_entry_from_memcache(dctx->domain, name,
                                              nctx->grp_mc_ctx);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Deleting group from memcache failed.\n"));
+                      "Deleting group from memcache failed.\n");
             }
 
 
@@ -2637,13 +2637,13 @@ static int nss_cmd_getgrnam_search(struct nss_dom_ctx *dctx)
         }
 
         /* One result found */
-        DEBUG(6, ("Returning info for group [%s@%s]\n", name, dom->name));
+        DEBUG(6, "Returning info for group [%s@%s]\n", name, dom->name);
 
         return EOK;
     }
 
     DEBUG(SSSDBG_MINOR_FAILURE,
-          ("No matching domain found for [%s], fail!\n", cmdctx->name));
+          "No matching domain found for [%s], fail!\n", cmdctx->name);
     return ENOENT;
 }
 
@@ -2677,9 +2677,9 @@ static int nss_cmd_getgrgid_search(struct nss_dom_ctx *dctx)
         /* check that the gid is valid for this domain */
         if ((dom->id_min && (cmdctx->id < dom->id_min)) ||
             (dom->id_max && (cmdctx->id > dom->id_max))) {
-            DEBUG(4, ("Gid [%lu] does not exist in domain [%s]! "
+            DEBUG(4, "Gid [%lu] does not exist in domain [%s]! "
                       "(id out of range)\n",
-                      (unsigned long)cmdctx->id, dom->name));
+                      (unsigned long)cmdctx->id, dom->name);
             if (cmdctx->check_next) {
                 dom = get_next_domain(dom, true);
                 continue;
@@ -2697,24 +2697,24 @@ static int nss_cmd_getgrgid_search(struct nss_dom_ctx *dctx)
         /* make sure to update the dctx if we changed domain */
         dctx->domain = dom;
 
-        DEBUG(4, ("Requesting info for [%d@%s]\n", cmdctx->id, dom->name));
+        DEBUG(4, "Requesting info for [%d@%s]\n", cmdctx->id, dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             ret = EIO;
             goto done;
         }
 
         ret = sysdb_getgrgid(cmdctx, sysdb, dom, cmdctx->id, &dctx->res);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to make request to our cache!\n"));
+            DEBUG(1, "Failed to make request to our cache!\n");
             ret = EIO;
             goto done;
         }
 
         if (dctx->res->count > 1) {
-            DEBUG(0, ("getgrgid call returned more than one result !?!\n"));
+            DEBUG(0, "getgrgid call returned more than one result !?!\n");
             ret = ENOENT;
             goto done;
         }
@@ -2727,7 +2727,7 @@ static int nss_cmd_getgrgid_search(struct nss_dom_ctx *dctx)
             }
 
             /* set negative cache only if not result of cache check */
-            DEBUG(SSSDBG_MINOR_FAILURE, ("No results for getgrgid call\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "No results for getgrgid call\n");
             ret = ENOENT;
             goto done;
         }
@@ -2748,7 +2748,7 @@ static int nss_cmd_getgrgid_search(struct nss_dom_ctx *dctx)
         }
 
         /* One result found */
-        DEBUG(6, ("Returning info for gid [%d@%s]\n", cmdctx->id, dom->name));
+        DEBUG(6, "Returning info for gid [%d@%s]\n", cmdctx->id, dom->name);
 
         /* Success. Break from the loop and return EOK */
         ret = EOK;
@@ -2763,11 +2763,11 @@ done:
         err = sss_ncache_set_gid(nctx->ncache, false, cmdctx->id);
         if (err != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                ("Cannot set negative cache for GID %d\n", cmdctx->id));
+                "Cannot set negative cache for GID %d\n", cmdctx->id);
         }
     }
 
-    DEBUG(SSSDBG_MINOR_FAILURE, ("No matching domain found for [%d]\n", cmdctx->id));
+    DEBUG(SSSDBG_MINOR_FAILURE, "No matching domain found for [%d]\n", cmdctx->id);
     return ret;
 }
 
@@ -2804,7 +2804,7 @@ static int nss_cmd_setgrent(struct cli_ctx *cctx)
 
     req = nss_cmd_setgrent_send(cmdctx, cctx);
     if (!req) {
-        DEBUG(0, ("Fatal error calling nss_cmd_setgrent_send\n"));
+        DEBUG(0, "Fatal error calling nss_cmd_setgrent_send\n");
         ret = EIO;
         goto done;
     }
@@ -2825,7 +2825,7 @@ struct tevent_req *nss_cmd_setgrent_send(TALLOC_CTX *mem_ctx,
     struct sss_domain_info *dom;
     struct setent_step_ctx *step_ctx;
 
-    DEBUG(4, ("Received setgrent request\n"));
+    DEBUG(4, "Received setgrent request\n");
     nctx = talloc_get_type(client->rctx->pvt_ctx, struct nss_ctx);
 
     /* Reset the read pointers */
@@ -2834,7 +2834,7 @@ struct tevent_req *nss_cmd_setgrent_send(TALLOC_CTX *mem_ctx,
 
     req = tevent_req_create(mem_ctx, &state, struct setent_ctx);
     if (!req) {
-        DEBUG(0, ("Could not create tevent request for setgrent\n"));
+        DEBUG(0, "Could not create tevent request for setgrent\n");
         return NULL;
     }
 
@@ -2854,7 +2854,7 @@ struct tevent_req *nss_cmd_setgrent_send(TALLOC_CTX *mem_ctx,
     state->dctx->domain = dom;
 
     if (state->dctx->domain == NULL) {
-        DEBUG(2, ("Enumeration disabled on all domains!\n"));
+        DEBUG(2, "Enumeration disabled on all domains!\n");
         ret = ENOENT;
         goto error;
     }
@@ -2975,11 +2975,11 @@ static errno_t nss_cmd_setgrent_step(struct setent_step_ctx *step_ctx)
         /* make sure to update the dctx if we changed domain */
         dctx->domain = dom;
 
-        DEBUG(6, ("Requesting info for domain [%s]\n", dom->name));
+        DEBUG(6, "Requesting info for domain [%s]\n", dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             return EIO;
         }
 
@@ -2994,9 +2994,9 @@ static errno_t nss_cmd_setgrent_step(struct setent_step_ctx *step_ctx)
                                             SSS_DP_GROUP, NULL, 0, NULL);
             if (!dpreq) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Enum Cache refresh for domain [%s] failed."
+                      "Enum Cache refresh for domain [%s] failed."
                        " Trying to return what we have in cache!\n",
-                       dom->name));
+                       dom->name);
             } else {
                 cb_ctx = talloc_zero(step_ctx, struct dp_callback_ctx);
                 if(!cb_ctx) {
@@ -3017,14 +3017,14 @@ static errno_t nss_cmd_setgrent_step(struct setent_step_ctx *step_ctx)
 
         ret = sysdb_enumgrent(dctx, sysdb, dom, &res);
         if (ret != EOK) {
-            DEBUG(1, ("Enum from cache failed, skipping domain [%s]\n",
-                      dom->name));
+            DEBUG(1, "Enum from cache failed, skipping domain [%s]\n",
+                      dom->name);
             dom = get_next_domain(dom, true);
             continue;
         }
 
         if (res->count == 0) {
-            DEBUG(4, ("Domain [%s] has no groups, skipping.\n", dom->name));
+            DEBUG(4, "Domain [%s] has no groups, skipping.\n", dom->name);
             dom = get_next_domain(dom, true);
             continue;
         }
@@ -3059,8 +3059,8 @@ static errno_t nss_cmd_setgrent_step(struct setent_step_ctx *step_ctx)
     te = tevent_add_timer(rctx->ev, nctx->gctx, tv,
                           setgrent_result_timeout, nctx);
     if (!te) {
-        DEBUG(0, ("Could not set up life timer for setgrent result object. "
-                  "Entries may become stale.\n"));
+        DEBUG(0, "Could not set up life timer for setgrent result object. "
+                  "Entries may become stale.\n");
     }
 
     /* Notify the waiting clients */
@@ -3081,7 +3081,7 @@ static void setgrent_result_timeout(struct tevent_context *ev,
 {
     struct nss_ctx *nctx = talloc_get_type(pvt, struct nss_ctx);
 
-    DEBUG(1, ("setgrent result object has expired. Cleaning up.\n"));
+    DEBUG(1, "setgrent result object has expired. Cleaning up.\n");
 
     /* Free the group enumeration context.
      * If additional getgrent requests come in, they will invoke
@@ -3098,10 +3098,10 @@ static void nss_cmd_setgrent_dp_callback(uint16_t err_maj, uint32_t err_min,
     int ret;
 
     if (err_maj) {
-        DEBUG(2, ("Unable to get information from Data Provider\n"
+        DEBUG(2, "Unable to get information from Data Provider\n"
                   "Error: %u, %u, %s\n"
                   "Will try to return what we have in cache\n",
-                  (unsigned int)err_maj, (unsigned int)err_min, err_msg));
+                  (unsigned int)err_maj, (unsigned int)err_min, err_msg);
     }
 
     ret = nss_cmd_setgrent_step(step_ctx);
@@ -3225,7 +3225,7 @@ static int nss_cmd_getgrent(struct cli_ctx *cctx)
     struct nss_cmd_ctx *cmdctx;
     struct tevent_req *req;
 
-    DEBUG(4, ("Requesting info for all groups\n"));
+    DEBUG(4, "Requesting info for all groups\n");
 
     cmdctx = talloc_zero(cctx, struct nss_cmd_ctx);
     if (!cmdctx) {
@@ -3271,8 +3271,8 @@ static void nss_cmd_implicit_setgrent_done(struct tevent_req *req)
      * later.
      */
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(0, ("Implicit setgrent failed with unexpected error [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(0, "Implicit setgrent failed with unexpected error [%d][%s]\n",
+                  ret, strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -3282,8 +3282,8 @@ static void nss_cmd_implicit_setgrent_done(struct tevent_req *req)
 
     ret = nss_cmd_getgrent_immediate(cmdctx);
     if (ret != EOK) {
-        DEBUG(0, ("Immediate retrieval failed with unexpected error "
-                  "[%d][%s]\n", ret, strerror(ret)));
+        DEBUG(0, "Immediate retrieval failed with unexpected error "
+                  "[%d][%s]\n", ret, strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
@@ -3293,7 +3293,7 @@ static int nss_cmd_endgrent(struct cli_ctx *cctx)
     struct nss_ctx *nctx;
     int ret;
 
-    DEBUG(4, ("Terminating request info for all groups\n"));
+    DEBUG(4, "Terminating request info for all groups\n");
 
     nctx = talloc_get_type(cctx->rctx->pvt_ctx, struct nss_ctx);
 
@@ -3338,7 +3338,7 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
 
     if (dom == NULL) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Unknown domain (%s) requested by provider\n", domain));
+              "Unknown domain (%s) requested by provider\n", domain);
         return;
     }
 
@@ -3347,8 +3347,8 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
     ret = sysdb_initgroups(tmp_ctx, dom->sysdb, dom, name, &res);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to make request to our cache! [%d][%s]\n",
-               ret, strerror(ret)));
+              "Failed to make request to our cache! [%d][%s]\n",
+               ret, strerror(ret));
         goto done;
     }
 
@@ -3362,8 +3362,8 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
         ret = sss_mmap_cache_pw_invalidate(nctx->pwd_mc_ctx, &delete_name);
         if (ret != EOK && ret != ENOENT) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Internal failure in memory cache code: %d [%s]\n",
-                  ret, strerror(ret)));
+                  "Internal failure in memory cache code: %d [%s]\n",
+                  ret, strerror(ret));
         }
 
         /* Also invalidate his groups */
@@ -3409,8 +3409,8 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
             ret = sss_mmap_cache_gr_invalidate_gid(nctx->grp_mc_ctx, id);
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Internal failure in memory cache code: %d [%s]\n",
-                       ret, strerror(ret)));
+                      "Internal failure in memory cache code: %d [%s]\n",
+                       ret, strerror(ret));
             }
         }
     }
@@ -3468,7 +3468,7 @@ static int fill_initgr(struct sss_packet *packet, struct ldb_result *res)
                 skipped++;
                 continue;
             } else {
-                DEBUG(1, ("Incomplete group object for initgroups! Aborting\n"));
+                DEBUG(1, "Incomplete group object for initgroups! Aborting\n");
                 return EFAULT;
             }
         }
@@ -3558,8 +3558,8 @@ static int nss_cmd_initgroups_search(struct nss_dom_ctx *dctx)
         /* if neg cached, return we didn't find it */
         if (ret == EEXIST) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("User [%s] does not exist in [%s]! (negative cache)\n",
-                   name, dom->name));
+                  "User [%s] does not exist in [%s]! (negative cache)\n",
+                   name, dom->name);
             /* if a multidomain search, try with next */
             if (cmdctx->check_next) {
                 dom = get_next_domain(dom, false);
@@ -3571,18 +3571,18 @@ static int nss_cmd_initgroups_search(struct nss_dom_ctx *dctx)
             return ENOENT;
         }
 
-        DEBUG(4, ("Requesting info for [%s@%s]\n", name, dom->name));
+        DEBUG(4, "Requesting info for [%s@%s]\n", name, dom->name);
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
-            DEBUG(0, ("Fatal: Sysdb CTX not found for this domain!\n"));
+            DEBUG(0, "Fatal: Sysdb CTX not found for this domain!\n");
             return EIO;
         }
 
         ret = sysdb_initgroups(cmdctx, sysdb, dom, name, &dctx->res);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to make request to our cache! [%d][%s]\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "Failed to make request to our cache! [%d][%s]\n",
+                      ret, strerror(ret));
             return EIO;
         }
 
@@ -3590,8 +3590,8 @@ static int nss_cmd_initgroups_search(struct nss_dom_ctx *dctx)
             /* set negative cache only if not result of cache check */
             ret = sss_ncache_set_user(nctx->ncache, false, dom, name);
             if (ret != EOK) {
-                DEBUG(SSSDBG_MINOR_FAILURE, ("Cannot set negcache for %s@%s\n",
-                      name, dom->name));
+                DEBUG(SSSDBG_MINOR_FAILURE, "Cannot set negcache for %s@%s\n",
+                      name, dom->name);
             }
 
             /* if a multidomain search, try with next */
@@ -3600,7 +3600,7 @@ static int nss_cmd_initgroups_search(struct nss_dom_ctx *dctx)
                 if (dom) continue;
             }
 
-            DEBUG(2, ("No results for initgroups call\n"));
+            DEBUG(2, "No results for initgroups call\n");
 
             return ENOENT;
         }
@@ -3620,12 +3620,12 @@ static int nss_cmd_initgroups_search(struct nss_dom_ctx *dctx)
             }
         }
 
-        DEBUG(6, ("Initgroups for [%s@%s] completed\n", name, dom->name));
+        DEBUG(6, "Initgroups for [%s@%s] completed\n", name, dom->name);
         return EOK;
     }
 
     DEBUG(SSSDBG_MINOR_FAILURE,
-          ("No matching domain found for [%s], fail!\n", cmdctx->name));
+          "No matching domain found for [%s], fail!\n", cmdctx->name);
     return ENOENT;
 }
 
@@ -3663,9 +3663,9 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
             if ((dom->id_min && (cmdctx->id < dom->id_min)) ||
                 (dom->id_max && (cmdctx->id > dom->id_max))) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Uid [%lu] does not exist in domain [%s]! "
+                      "Uid [%lu] does not exist in domain [%s]! "
                        "(id out of range)\n",
-                       (unsigned long)cmdctx->id, dom->name));
+                       (unsigned long)cmdctx->id, dom->name);
                 if (cmdctx->check_next) {
                     dom = get_next_domain(dom, true);
                     continue;
@@ -3693,15 +3693,15 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
         dctx->domain = dom;
 
         if (cmdctx->cmd == SSS_NSS_GETSIDBYID) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Requesting info for [%d@%s]\n",
-                                      cmdctx->id, dom->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "Requesting info for [%d@%s]\n",
+                                      cmdctx->id, dom->name);
         } else {
             talloc_free(name);
             talloc_zfree(sysdb_name);
 
             name = sss_get_cased_name(cmdctx, cmdctx->name, dom->case_sensitive);
             if (name == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sss_get_cased_name failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sss_get_cased_name failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -3711,7 +3711,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
             if (IS_SUBDOMAIN(dom)) {
                 sysdb_name = sss_tc_fqname(cmdctx, dom->names, dom, name);
                 if (sysdb_name == NULL) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("talloc_asprintf failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "talloc_asprintf failed.\n");
                     ret = ENOMEM;
                     goto done;
                 }
@@ -3726,8 +3726,8 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
             /* if neg cached, return we didn't find it */
             if (ret == EEXIST) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("User [%s] does not exist in [%s]! (negative cache)\n",
-                       name, dom->name));
+                      "User [%s] does not exist in [%s]! (negative cache)\n",
+                       name, dom->name);
                 /* if a multidomain search, try with next */
                 if (cmdctx->check_next) {
                     dom = get_next_domain(dom, false);
@@ -3740,15 +3740,15 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                 goto done;
             }
 
-            DEBUG(SSSDBG_TRACE_FUNC, ("Requesting info for [%s@%s]\n",
-                                      name, dom->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "Requesting info for [%s@%s]\n",
+                                      name, dom->name);
         }
 
 
         sysdb = dom->sysdb;
         if (sysdb == NULL) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Fatal: Sysdb CTX not found for this domain!\n"));
+                  "Fatal: Sysdb CTX not found for this domain!\n");
             ret = EIO;
             goto done;
         }
@@ -3758,7 +3758,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                                            attrs, &msg);
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to make request to our cache!\n"));
+                      "Failed to make request to our cache!\n");
                 ret = EIO;
                 goto done;
             }
@@ -3771,7 +3771,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                                                 attrs, &msg);
                 if (ret != EOK && ret != ENOENT) {
                     DEBUG(SSSDBG_CRIT_FAILURE,
-                          ("Failed to make request to our cache!\n"));
+                          "Failed to make request to our cache!\n");
                     ret = EIO;
                     goto done;
                 }
@@ -3786,7 +3786,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                                             attrs, &msg);
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Failed to make request to our cache!\n"));
+                      "Failed to make request to our cache!\n");
                 ret = EIO;
                 goto done;
             }
@@ -3800,7 +3800,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                                                  attrs, &msg);
                 if (ret != EOK && ret != ENOENT) {
                     DEBUG(SSSDBG_CRIT_FAILURE,
-                          ("Failed to make request to our cache!\n"));
+                          "Failed to make request to our cache!\n");
                     ret = EIO;
                     goto done;
                 }
@@ -3813,7 +3813,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
 
         dctx->res = talloc_zero(cmdctx, struct ldb_result);
         if (dctx->res == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -3822,7 +3822,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
             dctx->res->count = 1;
             dctx->res->msgs = talloc_array(dctx->res, struct ldb_message *, 1);
             if (dctx->res->msgs == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("talloc_array failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "talloc_array failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -3834,13 +3834,13 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                 ret = sss_ncache_set_user(nctx->ncache, false, dom, name);
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
-                          ("Cannot set negcache for %s@%s\n", name, dom->name));
+                          "Cannot set negcache for %s@%s\n", name, dom->name);
                 }
 
                 ret = sss_ncache_set_group(nctx->ncache, false, dom, name);
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
-                          ("Cannot set negcache for %s@%s\n", name, dom->name));
+                          "Cannot set negcache for %s@%s\n", name, dom->name);
                 }
             }
             /* if a multidomain search, try with next */
@@ -3849,7 +3849,7 @@ static errno_t nss_cmd_getsidby_search(struct nss_dom_ctx *dctx)
                 continue;
             }
 
-            DEBUG(SSSDBG_OP_FAILURE, ("No matching user or group found.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "No matching user or group found.\n");
             ret = ENOENT;
             goto done;
         }
